librrdtool-oo-perl_0.35-1_all.deb


Advertisement

Description

librrdtool-oo-perl - object-oriented interface to RRDTool

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name librrdtool-oo-perl
Package version 0.35
Package release 1
Package architecture all
Package type deb
Installed size 140 B
Download size 38.18 KB
Official Mirror ftp.br.debian.org
RRDTool::OO is an object-oriented Perl interface to Tobi Oetiker's round robin
database tool, also known as rrdtool. It uses rrdtool's RRDs module to access
rrdtool's shared library. It tries to marry rrdtool's database engine with the
Perl programming language.
Using this module hides implementation details of the RRD engine, uses easy-
to-memorize named parameters and sets meaningful defaults for parameters not
needed in simple cases. For the experienced user, however, it still provides
full access to rrdtool's API.

Alternatives

Package Version Architecture Repository
librrdtool-oo-perl_0.35-1_all.deb 0.35 all Debian Main
librrdtool-oo-perl - - -

Requires

Name Value
liblog-log4perl-perl -
librrds-perl -
perl -

Download

Type URL
Binary Package librrdtool-oo-perl_0.35-1_all.deb
Source Package librrdtool-oo-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install librrdtool-oo-perl deb package:
    # sudo apt-get install librrdtool-oo-perl

Files

Path
/usr/share/doc/librrdtool-oo-perl/changelog.Debian.gz
/usr/share/doc/librrdtool-oo-perl/changelog.gz
/usr/share/doc/librrdtool-oo-perl/copyright
/usr/share/doc/librrdtool-oo-perl/examples/dt
/usr/share/doc/librrdtool-oo-perl/examples/graph.pl
/usr/share/man/man3/RRDTool::OO.3pm.gz
/usr/share/perl5/RRDTool/OO.pm

Changelog

2014-07-21 - Salvatore Bonaccorso <carnil@debian.org>
librrdtool-oo-perl (0.35-1) unstable; urgency=medium
* Imported Upstream version 0.35
* Wrap and sort fields in debian/control file
2014-06-27 - Salvatore Bonaccorso <carnil@debian.org>
librrdtool-oo-perl (0.34-1) unstable; urgency=medium
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
[ Salvatore Bonaccorso ]
* Imported Upstream version 0.34
* Update copyright years for debian/* packaging files
* Declare compliance with Debian Policy 3.9.5
2013-07-26 - Salvatore Bonaccorso <carnil@debian.org>
librrdtool-oo-perl (0.33-1) unstable; urgency=low
* Imported Upstream version 0.33
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
* Update Debhelper compat level to 8.
Adjust versioned Build-Depends on debhelper to (>= 8).
* Update copyright years for debian/* packaging files
* Bump Standards-Version to 3.9.4
2012-03-07 - Salvatore Bonaccorso <carnil@debian.org>
librrdtool-oo-perl (0.32-1) unstable; urgency=low
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ Salvatore Bonaccorso ]
* Imported Upstream version 0.32
* Email change: Salvatore Bonaccorso -> carnil@debian.org
* Update debian/copyright information.
Update format to copyright-format 1.0 as released together with Debian
policy 3.9.3.
Update copyright years for debian/* packaging.
Refer to Debian systems in general instead of only Debian GNU/Linux
systems.
Explicitly refer to GPL-1 license text in common-licenses.
* Bump Standards-Version to 3.9.3
2010-05-27 - Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
librrdtool-oo-perl (0.31-1) unstable; urgency=low
* New upstream release
* drop debian/patches applied upstream:
- pod-errors
- fix-spelling-error-in-manpage.patch 
2010-02-22 - Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
librrdtool-oo-perl (0.30-1) unstable; urgency=low
* New upstream release (Closes: #566583)
* Add myself to Uploaders.
* Convert to '3.0 (quilt)' package source format. Drop README.source file
and drop Build-Depends on quilt. Adjust debian/rules acordingly. 
* Refresh debian/copyright to revision 135 of machine-readable format
specification in DEP5. Update Copyright for debian/* packaging. 
* Bump Standards-Version to 3.8.4 (no changes). 
* debian/patches:
- Refresh pod-errors patch
- Add fix-spelling-error-in-manpage.patch to fix some spelling errors
reported by lintian.
2009-11-06 - Jonathan Yu <jawnsy@cpan.org>
librrdtool-oo-perl (0.28-1) unstable; urgency=low
* New upstream release
2009-10-12 - Jonathan Yu <jawnsy@cpan.org>
librrdtool-oo-perl (0.27-1) unstable; urgency=low
* New upstream release
* Added myself to Uploaders and Copyright
2009-10-01 - Fabien Wernli <debian@faxm0dem.org>
librrdtool-oo-perl (0.26-1) unstable; urgency=low
* Initial Release. (Closes: #548450)

See Also

Package Description
librsl-dev_1.43-1+b2_amd64.deb Development files for RSL
librsl-doc_1.43-1_all.deb HTML documentation for RSL
librsl1_1.43-1+b2_amd64.deb TRMM Radar Software Library
librss-ocaml-dev_2.2.1-3+b1_amd64.deb RSS 2.0 parser and printer for OCaml (development)
librss-ocaml_2.2.1-3+b1_amd64.deb RSS 2.0 parser and printer for OCaml (runtime)
librsskit-dev_0.3-3_amd64.deb GNUstep RSS framework (development files)
librsskit0_0.3-3_amd64.deb GNUstep RSS framework (runtime library)
librsvg2-2.0-cil-dev_2.26.0-8_all.deb CLI binding for RSVG 2.22
librsvg2-2.18-cil_2.26.0-8_all.deb CLI binding for RSVG 2.22
librsvg2-2_2.40.5-1+deb8u2_amd64.deb SAX-based renderer library for SVG files (runtime)
librsvg2-bin_2.40.5-1+deb8u2_amd64.deb command-line and graphical viewers for SVG files
librsvg2-common_2.40.5-1+deb8u2_amd64.deb SAX-based renderer library for SVG files (extra runtime)
librsvg2-dev_2.40.5-1+deb8u2_amd64.deb SAX-based renderer library for SVG files (development)
librsvg2-doc_2.40.5-1+deb8u2_all.deb SAX-based renderer library for SVG files (documentation)
librsync-dev_0.9.7-10_amd64.deb rsync remote-delta algorithm library (development)
Advertisement
Advertisement